# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm) perl(Data/Compare.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(SQL/Statement.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Text/ASCIITable.pm) perl(Time/HiRes.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name MySQL-QueryMulti
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: module for querying multiple MySQL databases in parallel
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRAVATTJ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
MySQL::QueryMulti is a module that allows the user to query multiple MySQL 
databases in parallel and get an aggregated/concatentated result set back.  

Requirements:
 * must have "create temporary table" privileges across all databases
 * schemas must be identical 

MySQL::QueryMulti is built using DBI and hence has nearly identical method 
calls (connect, prepare, and execute).  See method descriptions below.

The primary use case for this is when you have a sharded database environment.

See link for more info on sharding:

=over

http://en.wikipedia.org/wiki/Shard_%%28database_architecture%%29

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO Changes README
%perl_vendor_privlib/M*

%files scripts
%_bindir/*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

